$red: #e74c3c;
$violet: #9932cc;

.red {
  .box {
    background-color: $red;

    .header {
      background-color: darken($red, 15%);
    }
  }
}
.violet {
  .box {
    background-color: $violet;

    .header {
      background-color: darken($violet, 15%);
    }
  }
}

.main {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100vw;
  height: 100vh;
  color: white;
  background-color: rgb(45, 45, 45);
  box-sizing: border-box;

  .box {
    width: 517px;
    border-radius: 10px;

    .header {
      display: flex;
      justify-content: space-between;
      border-radius: 10px 10px 0 0;
    }

    .title {
      text-align: left;
      font-size: 22px;
      font-weight: 700;
      width: 100%;
      flex: 1 1 auto;
      padding: 20px 26px 20px 26px;
    }

    .close {
      position: relative;
      opacity: 1;

      &:hover {
        opacity: 0.3;
      }

      &:before,
      &:after {
        content: " ";
        position: absolute;
        right: 30px;
        top: 25px;
        height: 25px;
        width: 1px;
        background-color: white;
      }
      &:before {
        transform: rotate(45deg);
      }
      &:after {
        transform: rotate(-45deg);
      }
    }
  }
  .text {
    padding: 8px 30px;
    font-size: 15px;
  }
  .buttons {
    display: flex;
    justify-content: center;
    flex: 0 1 auto;
    gap: 9px;
  }
}
